/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

// variables
@import "settings/variables";

// vendors
@import "node_modules/nanoscroller/bin/css/nanoscroller";
@import "node_modules/morris.js/morris";
@import "node_modules/codemirror/lib/codemirror";

// bootstrap / fontawesome / datatourisme
@import "common/datatourisme/webapp-bundle/Resources/styles/adminlte/variables";
@import "common/datatourisme/webapp-bundle/Resources/styles/settings/variables";
@import "node_modules/bootstrap-sass/assets/stylesheets/bootstrap";
@import "node_modules/font-awesome/scss/font-awesome";
@import "node_modules/bootstrap-daterangepicker/daterangepicker.scss";
@import "node_modules/selectize-scss/src/selectize.bootstrap3.scss";
@import "common/datatourisme/webapp-bundle/Resources/styles/datatourisme.scss";
@import "vendor/scrivo/highlight.php/styles/googlecode";

// alignment-editor / xpath-editor
@import "common/datatourisme/xpath-editor/app/styles/styles";
@import "common/datatourisme/alignment-editor/app/styles/styles";

// core (mixins, helpers...)
@import "core/mixins";

// components
@import "components/form";
@import "components/navbar";

// modules
@import "modules/dashboard";
@import "modules/flux";
@import "modules/notification";
@import "modules/process";
@import "modules/rdf-resource";
@import "modules/report";
@import "modules/rulesets";
@import "modules/thesaurus";
@import "modules/ruleset-wizard";
@import "modules/alignment-editor";

.wrap-break-word {
  white-space: -moz-pre-wrap !important;  /* Mozilla, since 1999 */
  white-space: -webkit-pre-wrap;          /*Chrome & Safari */
  white-space: -pre-wrap;                 /* Opera 4-6 */
  white-space: -o-pre-wrap;               /* Opera 7 */
  white-space: pre-wrap;                  /* css-3 */
  word-wrap: break-word;                  /* Internet Explorer 5.5+ */
  word-break: break-all;
  white-space: normal;
}